# frozen_string_literal: true

require 'signet/oauth_2/client'
require 'lazy/config_for'
require 'ostruct'

module Lazy
  class Auth
    def config
      OpenStruct.new ConfigFor.new.google
    end

    def signet
      client = Signet::OAuth2::Client.new(
        authorization_uri: 'https://accounts.google.com/o/oauth2/auth',
        token_credential_uri: 'https://oauth2.googleapis.com/token',
        client_id: config.client_id,
        client_secret: config.client_secret,
        scope: config.scope,
        redirect_uri: config.redirect_uri
      )
    end
  end
end
